1.0.0OAS 3.1

The Asset API lets you ingest, enrich, and manage assets. Endpoints are grouped by the stage of the asset lifecycle: ingestion (create → upload → publish), enrichment (metadata, tags, embargoes, rights, relations), and general retrieval/management.

API Base URL
  • Server 1:https://{your-bynder-domain}
Security
httpAuth (http)

Provide your bearer token in the Authorization header when making requests to protected resources.

Example: Authorization: Bearer 123

Asset ingestion

Create an asset, upload its file in resumable chunks, and publish it. After the file is uploaded you can enrich the asset - see the Asset enrichment section - before publishing. Retrieval of the asset during ingestion uses Get asset in the General endpoints section.

Create asset

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Creates an empty container, this is the first step to start the file upload and any asset enrichment.

post
https://{your-bynder-domain}/api/1/asset/assets

Body

application/json

CreateAssetInput

copyrightstring
descriptionstring
namestring
originstring
timeStampPublishedstring(date-time)

Response

application/json

Asset

activeVersionobject
Show Child Parameters
advancedRightsobject
Show Child Parameters
assetIdstring
assetStatusstring
copyrightstring
descriptionstring
embargosarray[object]
Show Child Parameters
moduleCodestring

Allowed values:BGBSIBWF

namestring
originstring
portalIdstring
timeStampCreatedstring(date-time)
timeStampModifiedstring(date-time)
timeStampPublishedstring(date-time)
userCreatedIdstring
userModifiedIdstring
post/api/1/asset/assets

Body

{}
 
application/json